---
title: VideoPlaybackQuality.totalFrameDelay
slug: Web/API/VideoPlaybackQuality/totalFrameDelay
tags:
  - API
  - Experimental
  - Media Source Extensions
  - Obsolete
  - Property
  - Reference
  - Video
  - VideoPlaybackQuality
  - totalFrameDelay
---
<p>{{APIRef("Media Source Extensions")}} {{ obsolete_header(30) }}</p>

<p>The <strong><code>VideoPlaybackQuality.totalFrameDelay</code></strong> read-only property returns a <code>double</code> containing the sum of the frame delay since the creation of the associated {{domxref("HTMLVideoElement")}}. The frame delay is the difference between a frame's theoretical presentation time and its effective display time.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>value</em> = <em>videoPlaybackQuality</em>.totalFrameDelay;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var videoElt = document.getElementById('my_vid');
var quality = videoElt.getVideoPlaybackQuality();

alert(quality.totalFrameDelay);
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.VideoPlaybackQuality.totalFrameDelay")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLVideoElement.getVideoPlaybackQuality()")}} method for constructing and returning this interface.</li>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
</ul>
